from rest_framework.renderers import JSONRenderer
from rest_framework import serializers

from vm.models import InstanceTemplate, Lease


class InstanceTemplateSerializer(serializers.ModelSerializer):
    class Meta:
        model = InstanceTemplate
        resource_name = 'template'
        fields = [ 'id', 'name', 'description', 'parent', 'owner', 'access_method', 'boot_menu', 
                    'lease', 'raw_data', 'cloud_init', 'ci_meta_data', 'ci_user_data', 'system',
                    'has_agent', 'num_cores', 'ram_size', 'max_ram_size', 'arch', 'priority']


class LeaseSerializer(serializers.ModelSerializer):
    class Meta:
        model = Lease
        resource_name = 'lease'
        fields = [ 'id', 'name', 'suspend_interval_seconds', 'delete_interval_seconds']

